Bug 882536 - [abrt] yum-utils-1.1.31-4.fc17: reposync:349:main:UnboundLocalError: local variable 'exit_code' referenced before assignment
[abrt] yum-utils-1.1.31-4.fc17: reposync:349:main:UnboundLocalError: local va...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:a783ab92c22c0f29ba02991e1bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-01 13:35 EST by smanocch
Modified: 2013-01-31 06:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-25 16:36:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (999 bytes, text/plain)
2012-12-01 13:35 EST, smanocch
no flags Details
File: core_backtrace (148 bytes, text/plain)
2012-12-01 13:35 EST, smanocch
no flags Details
File: environ (4.00 KB, text/plain)
2012-12-01 13:35 EST, smanocch
no flags Details
File: smolt_data (3.27 KB, text/plain)
2012-12-01 13:35 EST, smanocch
no flags Details

  None (edit)
Description smanocch 2012-12-01 13:35:36 EST
Description of problem:
updating a repo: sudo reposync -r openclient/17/x86_64

Version-Release number of selected component:
yum-utils-1.1.31-4.fc17

Additional info:
cmdline:        /usr/bin/python -tt /usr/bin/reposync -r openclient/17/x86_64
executable:     /usr/bin/reposync
kernel:         3.6.8-2.fc17.x86_64
uid:            1000

Truncated backtrace:
reposync:349:main:UnboundLocalError: local variable 'exit_code' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/reposync", line 352, in <module>
    main()
  File "/usr/bin/reposync", line 349, in main
    sys.exit(exit_code)
UnboundLocalError: local variable 'exit_code' referenced before assignment

Local variables in innermost frame:
junk: []
glob: 'openclient/17/x86_64'
repo: <yum.yumRepo.YumRepository object at 0x1c08990>
arches: ['ia32e', 'x86_64', 'athlon', 'i686', 'i586', 'i486', 'i386', 'noarch']
cachedir: '/var/tmp/yum-smanocch-yxFl30'
myrepos: []
my: <__main__.RepoSync object at 0x151e250>
opts: <Values at 0x1c001b8: {'newest': False, 'downloadcomps': False, 'quiet': False, 'destdir': '/home/smanocch', 'source': False, 'cachedir': None, 'tempcache': True, 'urls': False, 'plugins': False, 'gpgcheck': False, 'downloadmd': False, 'norepopath': False, 'config': '/etc/yum.conf', 'arch': None, 'repoid': ['openclient/17/x86_64'], 'delete': False}>
Comment 1 smanocch 2012-12-01 13:35:39 EST
Created attachment 655677 [details]
File: backtrace
Comment 2 smanocch 2012-12-01 13:35:42 EST
Created attachment 655678 [details]
File: core_backtrace
Comment 3 smanocch 2012-12-01 13:35:44 EST
Created attachment 655679 [details]
File: environ
Comment 4 smanocch 2012-12-01 13:35:46 EST
Created attachment 655680 [details]
File: smolt_data
Comment 5 Zdeněk Pavlas 2012-12-03 03:04:14 EST
Thanks for the report!  Fixed in head.
Comment 7 Fedora Update System 2013-01-17 06:21:00 EST
yum-utils-1.1.31-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-7.fc18
Comment 8 Fedora Update System 2013-01-19 22:25:30 EST
Package yum-utils-1.1.31-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1128/yum-utils-1.1.31-7.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-01-25 16:36:20 EST
yum-utils-1.1.31-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 timo.veith 2013-01-31 05:05:29 EST
Where can I find the diff/patch of this fix so I could apply it to the rhel6 version of reposync (yum-utils-1.1.30-14.el6.noarch)?
Comment 12 timo.veith 2013-01-31 06:09:40 EST
thanks!

Note You need to log in before you can comment on or make changes to this bug.